[Overview][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteWordBE

Write a word value, big endian

## Declaration

Source position: streamex.pp line 72

`procedure TStreamHelper.WriteWordBE(`
`w: Word`
`);`

## Arguments

`w` |  | The word value to write to stream

## Description

WriteWordBE writes a Word-sized value to the stream, big-endian (MSB first).

## Errors

If not all data (2 bytes) can be written, an EWriteError exception is raised.

## See also

ReadWordBE
WriteDWordBE
WriteQWordBE

Documentation generated on: Feb 26 2014